Bug 147260 - No sound on new kernel, was sound on previous kernel
No sound on new kernel, was sound on previous kernel
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-05 11:08 EST by Oded Rimon
Modified: 2015-01-04 17:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-22 12:55:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oded Rimon 2005-02-05 11:08:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Sound doesn't work on the new kernel (2.6.10-1.760_FC3).
No sound is heard when running system-config-soundcard, nor when
trying to play music through different players (RealPlayer, CD Player
and so-on).
Sound works fine on kernel 2.6.9-1.667 and on kernel 2.6.9-1.724_FC3.


Version-Release number of selected component (if applicable):
kernel-2.6.10-1.760_FC3

How reproducible:
Always

Steps to Reproduce:
1. Try to play sound from any program that makes sounds (music player,
for example).


Actual Results:  No sound was heard.

Expected Results:  Sound should have been heard (the program seemed to
play).

Additional info:

My sound-card is Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
AC'97 Audio Controller (module snd-intel8x0).
Comment 1 Pierre Thibaudeau 2005-02-16 10:25:21 EST
Same problem here with a different sound card (module snd-cs46xx).

Here too the problem started with 2.6.10-1.741_FC3 and still there
with newly installed 2.6.10-1.766_FC3. Everything is fine on 2.6.9's.

Here's lspci about my sound card:
02:0a.0 Multimedia audio controller: Cirrus Logic CS 4614/22/24
[CrystalClear SoundFusion Audio Accelerator] (rev 01)

and from modprobes.conf:
alias snd-card-0 snd-cs46xx
options snd-card-0 index=0
install snd-cs46xx /sbin/modprobe --ignore-install snd-cs46xx &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove snd-cs46xx { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-cs46xx

Everything is fine on platforms using:
   - snd-ens1371 (Ensoniq ES1371 [AudioPCI-97])
   - snd-maestro3 (ESS Technology ES1983S Maestro-3i Audio Accel.)
Comment 2 Oded Rimon 2005-05-21 06:43:52 EDT
Is there someone who's trying to solve this? This is pretty critical, and this
bug has been published more than 3 months ago..!

I don't want to be annoying or bothersome, or sound like I'm not thankful that
this even exists, but... someone, please help!

Thank you,
Oded
Comment 3 Sitsofe Wheeler 2005-05-21 17:18:45 EDT
Try taking a look at bug #144742 . It's chock full of comments from i810 owners
who are having sound problems and some suggestions about how to fix it.
Comment 4 Oded Rimon 2005-05-22 12:55:31 EDT
Thank you so much!!! Going to Volume Control (or alsamixer) and muting
"Headphone Jack Sense" does solve the problem - on the snd-intel8x0. Thank you!

Oded

Note You need to log in before you can comment on or make changes to this bug.